import java.util.Scanner;

public class HangmanDriver {
   public static void main(String[] args) {
      HangmanGame game = new HangmanGame();

      if (args.length != 1) {
         System.out.println("USAGE: java HangmanDriver <ai|human>");
         System.exit(1);
      }

      if (!args[0].equals("ai") && !args[0].equals("human")) {
         System.out.println("USAGE: java HangmanDriver <ai|human>");
         System.exit(1);
      }

      HangmanPlayer player;
      if (args[0].equals("ai")) {
         player = new HangmanAI();
      } else {
         player = new HumanPlayer();
      }

      System.out.println("Let's Play some hangman!");

      while (!game.done()) {
         System.out.println(game);
         char guess = player.guess();

         try {
            game.guess(guess);
         } catch (Exception ex) {
            System.out.println("God!!>!>!>.... Making me look like an idiot. Play right!!!");
            System.out.println(ex);
         }

         if (game.done()) {
            System.out.println("Game is done!");

            if (game.win()) {
               System.out.println("You WONN!!N!NN!N!N!!!!!");
            } else {
               System.out.println("hahaha, you lost");
               System.out.println("The word was: " + game.getWord());
            }
         }

         System.out.println();
      }

      System.out.println(game);
   }
}
